| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
wxRendererVersion Struct Reference
Class List by Category » Graphics Device Interface (GDI)

`#include <wx/renderer.h>`

## Detailed Description

This simple struct represents the wxRendererNative interface version and is only used as the return value of wxRendererNative::GetVersion().

The version has two components: the version itself and the age. If the main program and the renderer have different versions they are never compatible with each other because the version is only changed when an existing virtual function is modified or removed. The age, on the other hand, is incremented each time a new virtual method is added and so, at least for the compilers using a common C++ object model, the calling program is compatible with any renderer which has the age greater or equal to its age. This verification is done by IsCompatible() method.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

## Public Member Functions

| wxRendererVersion (int version_, int age_)

## Static Public Member Functions

static bool | IsCompatible (const wxRendererVersion &ver)
| Checks if the main program is compatible with the renderer having the version ver, returns true if it is and false otherwise. More...

## Public Attributes

const int | age
| The age component. More...
const int | version
| The version component. More...

## Constructor & Destructor Documentation

wxRendererVersion::wxRendererVersion | ( | int | version_,
|  | int | age_
| ) |  |

## Member Function Documentation

static bool wxRendererVersion::IsCompatible | ( | const wxRendererVersion & | ver | ) |

static

Checks if the main program is compatible with the renderer having the version ver, returns true if it is and false otherwise.

This method is used by wxRendererNative::Load() to determine whether a renderer can be used.

## Member Data Documentation

const int wxRendererVersion::age

The age component.

const int wxRendererVersion::version

The version component.